#ifndef COLORBUTTON_H
#define COLORBUTTON_H

#include <QToolButton>

class ColorButton : public QToolButton
{
private :
    QString name;
    QColor color;
public :
    ColorButton (QString s);
protected :
    void mousePressEvent(QMouseEvent *event);
private :
    QPixmap createPixmap (bool white = false);
};

#endif // COLORBUTTON_H
